class ArgumentError(Exception):
    """An error was encountered parsing arguments."""


class InvalidConfigException(Exception):
    """An invalid `config` option was passed to a phase."""


class InvalidManifestException(Exception):
    """An invalid manifest was specified."""


class SpecUninitializedError(Exception):
    """The specification repository has not been initialised."""


class Unprivileged(Exception):
    """This command requires elevated privileges."""


class Unsupported(Exception):
    """An unsupported option was encountered."""


class ConfigNotFoundException(Exception):
    def __init__(self, message, search_list):
        self.message = message
        self.search_list = search_list
